Package org.eclipse.emf.cdo.session

## Interface CDOCollectionLoadingPolicy

- All Superinterfaces:
    `CDOListResolver`

      public interface CDOCollectionLoadingPolicy
      extends CDOListResolver

  A strategy that specifies which list elements must be present (loaded) in a `CDOID` list of a `revision` when a certain list index is accessed. Implementations of this interface can control the exact characteristics of a certain partial collection loading strategy.
  Since:
    2.0
  Author:
    Simon McDuff

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `getInitialChunkSize()` | Returns the maximum number of CDOIDs to be loaded for collections when the owning object is loaded initially, i.e.
    `int` | `getResolveChunkSize()` | Returns the maximum number of CDOIDs to be loaded for collections when the owning object is already loaded but the actually accessed element is still a `proxy`.
    `CDOSession` | `getSession()` |
    `void` | `setSession​(CDOSession session)` |

    - ### Methods inherited from interface org.eclipse.emf.cdo.common.revision.CDOListResolver

      `resolveAllProxies, resolveProxy`

- - ### Method Detail

    - #### getSession

          CDOSession getSession()

      Since:
        4.0

    - #### setSession

          void setSession​(CDOSession session)

      Since:
        4.0

    - #### getInitialChunkSize

          int getInitialChunkSize()

      Returns the maximum number of CDOIDs to be loaded for collections when the owning object is loaded initially, i.e. before any of the collection elements is actually accessed. The remaining elements will be initialized as `proxies`.

    - #### getResolveChunkSize

          int getResolveChunkSize()

      Returns the maximum number of CDOIDs to be loaded for collections when the owning object is already loaded but the actually accessed element is still a `proxy`.
      Since:
        4.0